//cal-ip3-nER.g CHEMESIS1.0
//repeat below for each axon compartment, and each branch compartment.

function ca_buf_ip3_ER (path, ncyls, radius, width, ERfactor, ERcyls)
str path
int ncyls, ERcyls
float radius, width, ERfactor

/**  ip3 with diffusion and degradation ***/
  compcyl {path}/ip3 {radius} {ncyls} {width} {ip3init}
  difcompcyl {path}/ip3 {ncyls} {ip3dif} 
  makedegrad {path} /ip3 {ncyls} {ip3degrad}

  setmethod {path}/ip3[] -1
  useclock {path}/ip3[] 3
  useclock {path}/ip3dif[] 3

/***  Calcium, Buffers, diffusion in cytosol ****/
  compcyl {path}/Cacyt {radius} {ncyls} {width} {Cacyt}
  difcompcyl {path}/Cacyt {ncyls} {Cadif}
  compcyl {path}/bufcyt {radius} {ncyls} {width} {bufcyt}
  consv1D {path}/bufbndcyt {ncyls} {bufcyttot} {radius} {width}
  rxncomp1D {path}/Cacyt {path}/bufcyt {path}/bufbndcyt {path}/Cacyt_buf {ncyls} {buf_kf} {buf_kb} 1

  setmethod {path}/Cacyt[] -1
  useclock {path}/Cacyt[] 1

/***  Calcium, Buffers, diffusion in in ER ****/
  compcyl {path}/CaER {radius} {ERcyls} {ERfactor*width} {CaER}
  compcyl {path}/bufER {radius} {ERcyls} {ERfactor*width} {bufER}
  consv1D {path}/bufbndER {ERcyls} {bufERtot} {radius} {ERfactor*width}
  rxncomp1D {path}/CaER {path}/bufER {path}/bufbndER {path}/CaER_buf {ERcyls} {buf_kf} {buf_kb} 1

/* Calcium release through ip3 and ryanodine receptors, also serca and leak */
  makecyt2er {path}/Cacyt {path}/ip3 {path}/CaER {maxiicr} {iicrpower} {maxcicr} {cicrpower} 0 {ncyls} {serca} {pumppower} {ERcyls}

end
