//const.g
/** Used with the terminal branches model **/
/* Units: Millimole, nanoamps, megaohms, microsiemens, milliseconds, 
   nanoFarads, Liters, centimeters */

float PI = 3.14159

/* RM*CM = ~ 35 msec => passive membrane time constant.  RM value is ~70 times
smaller than "typical", CM ~70 times greater => is area incorrect? 
Perhaps, there is huge leak into Herm;  including leak would increase RM */
//float RM 	= 	7.1e-4	/* Megaohms - cm^2; 5e-2 from Spruston et al */
//float CM	=	73.7e3	/* nanoFarads/cm^2; 1e3 from Spruston et al. */
float RI	=	100e-6	/* Mohm-cm, could be 200e-6 */

float RM	=	5e-3	/* closer to "normal", used with increased rhab SA */
float CM	=	1e3	/* closer to "normal" */

float g_gabaa	=	100e4	/*200.0e3*/
float g_gabab	=	100e3

float somarad	=	10.4e-4 /* e-4 converts from microns to cm */
float somalen	=	24e-4	/* 24 microns */
int somacyls	=	1 	/*8 in light response model*/
float rhabrad	=	6.17e-4 
float rhablen	=	12e-4
float rhabSA	=	0.000125 /* Assuming 5000 microvilli */
float rhabxarea	=	3.14e-8  /* Assuming only 2e-4 dia non-villi portion */
float neckrad	=	3e-4	/* 3 microns */
float necklen	=	1e-4	/* 1 micron neck width */

float axonrada	=	1e-4	/* axon xsect is elliptical, 1 micron by */
float axonradb	=	3e-4	/*			     3 microns. */
float axonlen	=	100e-4	/* axon length of 100 microns */
float axonslice	=	4	/* subdivide axon into four 25 micron slices */
int axoncyls	=	20	/*each slice is 5 cyls for calcium,etc.*/
float axonwidth	=	5e-4	/*cyl width may be 2.5e-4,1e-4 */

float syn_br_rad	=	0.215e-4	/*0.63e-4  for equal to nosyn*/
float nosyn_br_rad	=	0.93e-4		/*0.63e-4 */
float branchlen1	=	5e-4	/* branch between synapse & axon*/
float branchlen2	=	10e-4	/* terminal branch with synapse*/
int branchcyls	=	3
float branchwidth	=	5e-4	/*other options:2.5e-4,1e-4*/

float Cacyt     =       0.05028e-3      /* mM */
float Cadif     =       6.0e-9  /* cm^2/msec */
float bufcyt    =       151.47e-3       /* mM */
float bufcyttot =       153e-3          /* mM */
float CaER      =       0.02022         /* mM */
float bufER     =       4.828           /* mM, 4x previous value */
float bufERtot  =       24.0            /* mM, 4x previous value */
float buf_kf    =       1e2     /* per mM-msec, from Nowycky et al. and */
float buf_kb    =       0.5     /* per msec, from Blumenfeld et al. */
  
float maxiicr   =       1.6             /* Units are /msec */
int iicrpower	=	3
float maxcicr	=	0.6	/* 0.3 for cicr:serca = 77 */
int cicrpower	=	1
float serca     =       0.004           /* Units are mmole/msec */
float pumppower	=	2
float ERfactor	=	1.0	/*0.185 ratio of ER volume to cyt vol */

float Vmhigh	=	0.001
float KMhigh	=	0.1	/* mmole for high affinity pump. */
float Vmlow	=	0
float KMlow	=	1.0	/* mmole for low affinity pump. */

float plc_kf	=	0.1
float plc_kb	=	0.5
float plc_tot	=	1.0 	/*picomoles */
float kf_pip2    =      4.33e-18 /* esimate from Rack et al. */
 /*4.33e-16  milliMoles IP3 per (msec-picoMole PLC) - Suzuki et al. 1995 */
float pip2tot	=	10	/* need esimate in same units as km */
float km_pip2	=	1.0	/* need estimate in same units as pip2*/

float ip3dif    =       2.83e-9 /* cm^2/msec - Allbritton et al. 1992  */
float ip3init   =       0.01e-3  /* ss value from baseline plc, ip3dif, degrad */
float ip3degrad =       0.69e-3 /* IP3 degradation - per msec - Allbritton et al. 1992*/

/* except as indicated, parameters are from Destexhe et al. 1994 J. Comp. Neuroscie */
float gabab_kf 	=	0.06	/* modified to produce EC50 of 1.5 uM */
float gabab_kb 	=	0.5
float galf_kf 	=	1.0
float galf_degrad 	=	0.02	/* modified according to Biddlecome et al. 1996 */
float recept_tot 	=	1.0	/* picomoles? */
float Gprot_tot	=	10.0		/* picomoles? */
float gabab_g3	=	2.0
float gabab_g5	=	0.5		/* g5 modified to slow down peak current, g4 not significant */

