//CHEMESIS1.0
//gabab-syn.g

function gabab_synapse(vpath, length, radius)
str vpath
float length, radius

float initcon	=	0
/* volume of cylinder in Liters from cm units */
float vol	=	PI*radius*radius*length/1000

/* make various reaction pools and conserve pools */
conservepool {vpath}/unbound_recept {recept_tot} {vol} /* unbound receptor */
setfield {vpath}/unbound_recept Cinit {recept_tot} Qinit {recept_tot*vol}
poolcyl {vpath}/bound_recept {length} {radius} {initcon} /* bound receptor */
poolcyl {vpath}/RgabaGprot {length} {radius} {initcon} /* receptor bound to gaba and G protein */
poolcyl {vpath}/Galfstar {length} {radius} {initcon} /* active Galpha subunit */
conservepool {vpath}/Gprot {Gprot_tot} {vol} /* unactivated Gprotein */
setfield {vpath}/Gprot Cinit {Gprot_tot} Qinit {Gprot_tot*vol}

/* receptor + transmitter <-> bound_receptor */

  create reaction {vpath}/gaba_recept_rxn	/* computes kf*gaba*unbound_recept and kb*bound_recept */
  setfield {vpath}/gaba_recept_rxn kf {gabab_kf} kb {gabab_kb}  /* set rate constants */
  addmsg {vpath}/unbound_recept {vpath}/gaba_recept_rxn SUBSTRATE Conc /* provide substrate conc */
  addmsg /stat/spike {vpath}/gaba_recept_rxn SUBSTRATE state
  addmsg {vpath}/bound_recept {vpath}/gaba_recept_rxn PRODUCT Conc /* provide product conc */
  addmsg {vpath}/gaba_recept_rxn {vpath}/bound_recept RXN2 kfsubs kbprod /* effect on rxnpools */
  addmsg {vpath}/bound_recept {vpath}/unbound_recept CONC Conc /* effect on conserve pools*/

/* bound_receptor + Gprot <-> recept-gaba-Gprot */

   create reaction {vpath}/RG_Gprot_rxn	/* computes g3*Gprot*RG and g4g5*RgabaGprot */
   setfield {vpath}/RG_Gprot_rxn kf {gabab_g3} kb {gabab_g5} /* set rate constants */
   addmsg {vpath}/bound_recept {vpath}/RG_Gprot_rxn SUBSTRATE Conc /* provide substrate conc */
   addmsg {vpath}/Gprot {vpath}/RG_Gprot_rxn SUBSTRATE Conc
   addmsg {vpath}/RgabaGprot {vpath}/RG_Gprot_rxn PRODUCT Conc /* provide product conc */
   addmsg {vpath}/RG_Gprot_rxn {vpath}/bound_recept RXN2 kbprod kfsubs /* effect on rxnpools */
   addmsg {vpath}/RG_Gprot_rxn {vpath}/RgabaGprot RXN2 kfsubs kbprod 
   addmsg {vpath}/RgabaGprot {vpath}/unbound_recept CONC Conc /* effect on conserve pools*/
   addmsg {vpath}/RgabaGprot {vpath}/Gprot CONC Conc 

/* recept-gaba-Gprot <-> bound_receptor + Galphastar -> Galpha */

   create enzyme {vpath}/RGGprot_enz
   setfield {vpath}/RGGprot_enz Vmax {gabab_g5}
   addmsg {vpath}/RgabaGprot {vpath}/RGGprot_enz ENZ Conc
   addmsg {vpath}/RGGprot_enz {vpath}/Galfstar RXN0 product
   create reaction /branch/galfdeg
   setfield /branch/galfdeg kf {galf_degrad}
   addmsg /branch/galfdeg {vpath}/Galfstar RXN1 kf
   addmsg {vpath}/Galfstar {vpath}/Gprot CONC Conc

end
