//genesis
//ica.g

function make_ica(path, gbar)
str path
float gbar

float area

area = {getfield {path} SAout}

/* 3/10/98: act_ss.slope changed from -7 to -6 for use with electrodiffusion */

create inf_tau_chan {path}/ica	/* units are msec, nA, uS, mV */
setfield ^ 	act_ss.min 0 \
		act_ss.max 1.0 \
		act_ss.slope -6 \
		act_ss.v0 -5.0 \
		act_ss.in_exp_power 1 \
		act_ss.out_exp_power -1 \
		act_ss.in_exp_offset 0 \
		act_ss.out_exp_offset 1 \
		act_tau.min 0.0 \
		act_tau.max 0.0 \
		act_tau.slope 10.0 \
		act_tau.v0 0.0 \
		act_tau.in_exp_power 1 \
		act_tau.out_exp_power -1 \
		act_tau.in_exp_power 1 \
		act_tau.in_exp_offset 0 \
		act_tau.out_exp_offset 1 \
		act_power 1 \
		inact_power 0 \
		Vr 50.0 \
		Gbar   {gbar*area}
end

/******************************************************************/

function make_ghk(path,pca)
str path
float pca

float area

area = {getfield {path} SAout}

create electrodif {path}/ghk_ica

setfield ^ Pca {pca*area} \
	   charge 2 \
	   T 293
end

/********************************************************************/

function ica_comp (vpath, capath, ncyls, gbar)
str vpath, capath
int ncyls
float gbar

int i

  for (i = 1; i<=ncyls; i=i+1)
     make_ica {capath}[{i}] {gbar}
     addmsg {vpath} {capath}[{i}]/ica VOLTAGE Vm
     addmsg {capath}[{i}]/ica {vpath} CHANNEL G Vr
     addmsg {capath}[{i}]/ica {capath}[{i}] CURRENT 2 I
  end

end

/*******************************************************************/

function ica_ghk_comp (vpath, capath, ncyls, gbar, pca, caextpath)
str vpath, capath, caextpath
int ncyls
float gbar, pca, Cext

int i

  for (i=1; i<=ncyls; i=i+1)
   make_ica {capath}[{i}] {gbar}	/* make traditional ica */
   make_ghk {capath}[{i}] {pca}		/* make GHK Ica */

/* voltage messages to Ica and GHK-Ica */
   addmsg {vpath} {capath}[{i}]/ica VOLTAGE Vm
   addmsg {vpath} {capath}[{i}]/ghk_ica VOLTAGE Vm

/* ext & int calcium concentration to CHK */
   addmsg {caextpath} {capath}[{i}]/ghk_ica CONC_EXT Conc
   addmsg {capath}[{i}] {capath}[{i}]/ghk_ica CONC_INT Conc

/* open fraction from ica to GHK ica = G / Gbar */
   addmsg {capath}[{i}]/ica {capath}[{i}]/ghk_ica OPEN_FRACTION G Gbar

/* send psuedoG and Vr to voltage compartment */
   addmsg {capath}[{i}]/ghk_ica {vpath} CHANNEL pseudoG Vr

/* send current and charge to concentration pool */
   addmsg {capath}[{i}]/ghk_ica {capath}[{i}] CURRENT charge I
 end
end

