//genesis
//lgt-na1v11.g

function makelgt_na(path, gbar)
str	path
float	gbar

float area

area = {getfield {path} SAout }

/* Value of alpha.min has been adjusted (12/1/97) to yield equivalent
 open fraction given new and more plausible values of 
IP3 concentration */

create ligand1_chan {path}/lgt_na	/* units are msec, nA, uS, mV */
setfield  {path}/lgt_na	\
		alpha.min 4.0 \	/* was 0.623 till 8/6/98 */
		alpha.max 0.0 \
		alpha.slope -20 \
		alpha.v0 -20.0 \
		alpha.in_exp_power 1 \
		alpha.out_exp_power -1 \
		alpha.in_exp_offset 0 \
		alpha.out_exp_offset 1 \
		beta.min 0.004 \	/* was 0.0077 till 8/6/98 */
		beta.max 0.0 \
		beta.slope 10.0 \
		beta.v0 -23.0 \
		beta.in_exp_power 1 \
		beta.out_exp_power -1 \
		beta.in_exp_offset 0 \
		beta.out_exp_offset 1 \
		act_power 3 \		/* was 2 till 8/6/98 */
		inact_power 1 \
		inact_type 1 \
		gamma.min 0.00002    \	/* was 0.00066 till 12/7/98 */
		gamma.max 0.0 \
		gamma.slope -20 \
		gamma.v0 -20.0 \
		gamma.in_exp_power 1 \
		gamma.out_exp_power -1 \
		gamma.in_exp_offset 0 \
		gamma.out_exp_offset 1 \
		delta.min 140 \	/* was 0.197 till 12/7/98 */
		delta.max 0.0 \
		delta.slope 10.0 \
		delta.v0 -23.0 \
		delta.in_exp_power 1 \
		delta.out_exp_power -1 \
		delta.in_exp_offset 0 \
		delta.out_exp_offset 1 \
		Vr 30.0 \
		rxn_ord 1 \
		inact_rxn_ord 2 \
		Gbar {gbar*area}

end

/********************************************************************/
function lgt_na_comp(vpath,ligpath,ncyls,gbar)

str vpath, ligpath
int ncyls
float gbar

int i

   for (i=1; i<= ncyls; i=i+1)
	makelgt_na {ligpath}[{i}] {gbar}
	addmsg {ligpath}[{i}] {ligpath}[{i}]/lgt_na LIGAND Conc
	addmsg {vpath} {ligpath}[{i}]/lgt_na VOLTAGE Vm
	addmsg {ligpath}[{i}]/lgt_na {vpath} CHANNEL G Vr
   end
end
