//genesis
//lgt-na2v5.g

/* Calcium dependent light induced current - this corresponds to Ilgt2 from Sakakibara */

function makelgt_na2(path, gbar)
str	path
float	gbar

float area

area = {getfield {path} SAout }


create ligand1_chan {path}/lgt_na2	/* units are msec, nA, uS, mV */
setfield  {path}/lgt_na2	\
		alpha.min 0.025 \
		alpha.max 0.0 \
		alpha.slope -20 \
		alpha.v0 -20.0 \
		alpha.in_exp_power 1 \
		alpha.out_exp_power -1 \
		alpha.in_exp_offset 0 \
		alpha.out_exp_offset 1 \
		beta.min 0.00015 \
		beta.max 0.0 \
		beta.slope 10.0 \
		beta.v0 -23.0 \
		beta.in_exp_power 1 \
		beta.out_exp_power -1 \
		beta.in_exp_offset 0 \
		beta.out_exp_offset 1 \
		act_power 2 \
		inact_power 0 \
		Vr 30.0 \
		rxn_ord 1 \
		Gbar {gbar*area}

end

/********************************************************************/
function lgt_na2_comp(vpath,ligpath,ncyls,gbar)

str vpath, ligpath
int ncyls
float gbar

int i

   for (i=1; i<= ncyls; i=i+1)
	makelgt_na2 {ligpath}[{i}] {gbar}
	addmsg {ligpath}[{i}] {ligpath}[{i}]/lgt_na2 LIGAND Conc
	addmsg {vpath} {ligpath}[{i}]/lgt_na2 VOLTAGE Vm
	addmsg {ligpath}[{i}]/lgt_na2 {vpath} CHANNEL G Vr
   end
end
