//volt-func.g

function Vcomp(path, length, radius, RM, CM, RI)
str path
float length,radius
float RM,CM, RI
float area, xarea, diam

float PI = 3.14159

create  compartment {path}
diam = 2*radius
area = PI*diam*length
xarea = PI*radius*radius
setfield {path} \
		len {length} \
		dia {diam} \
		Em -60	\
		initVm -60 \
		Rm {RM/area} \ /* Mohms is passive resistance */
		Cm {CM*area} \ /* nF */
		Ra {RI*length/xarea}
end

function ellipse_vcomp(path, len, slice, rada, radb, RM, CM, RI)
str path
float len, rada, radb
int slice
float RM,CM, RI

int i
float complen = len/slice
float circum = 2*PI*{sqrt {(rada*rada + radb*radb)/2}}
float xarea = PI*rada*radb
float vol = xarea*complen
float SA = circum*complen
for (i=1; i<=slice; i=i+1)
  create compartment {path}[{i}] 
  setfield {path}[{i}] 	\
		len {complen}	\
		dia {(rada+radb)/2} 	\
		Em -60		\
		initVm -60	\
		Rm {RM/SA} 	\
		Cm {CM*SA}	\
		Ra {RI*complen/xarea}
end

for (i=1; i<slice; i=i+1)
  addmsg {path}[{i}] {path}[{i+1}] RAXIAL Ra previous_state
  addmsg {path}[{i+1}] {path}[{i}] AXIAL previous_state
end

end
